org.omg.CORBA

## Class ValueMember

- java.lang.Object
- - org.omg.CORBA.ValueMember

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class ValueMember
      extends Object
      implements IDLEntity

  A description in the Interface Repository of a member of a `value` object.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `short` | `access` | The type of access (public, private) for the `value` member described by this `ValueMember` object.
    `String` | `defined_in` | The repository ID of the `value` in which this member is defined.
    `String` | `id` | The repository ID of the `value` member described by this `ValueMember` object;
    `String` | `name` | The name of the `value` member described by this `ValueMember` object.
    `TypeCode` | `type` | The type of of this `value` member.
    `IDLType` | `type_def` | The typedef that represents the IDL type of the `value` member described by this `ValueMember` object.
    `String` | `version` | The version of the `value` in which this member is defined.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValueMember()` | Constructs a default `ValueMember` object.
    `ValueMember(String __name, String __id, String __defined_in, String __version, TypeCode __type, IDLType __type_def, short __access)` | Constructs a `ValueMember` object initialized with the given values.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

      The name of the `value` member described by this `ValueMember` object.

    - #### id

          public String id

      The repository ID of the `value` member described by this `ValueMember` object;

    - #### defined_in

          public String defined_in

      The repository ID of the `value` in which this member is defined.

    - #### version

          public String version

      The version of the `value` in which this member is defined.

    - #### type

          public TypeCode type

      The type of of this `value` member.

    - #### type_def

          public IDLType type_def

      The typedef that represents the IDL type of the `value` member described by this `ValueMember` object.

    - #### access

          public short access

      The type of access (public, private) for the `value` member described by this `ValueMember` object.

  - ### Constructor Detail

    - #### ValueMember

          public ValueMember()

      Constructs a default `ValueMember` object.

    - #### ValueMember

          public ValueMember(String __name,
                             String __id,
                             String __defined_in,
                             String __version,
                             TypeCode __type,
                             IDLType __type_def,
                             short __access)

      Constructs a `ValueMember` object initialized with the given values.
      Parameters:
        `__name` - The name of the `value` member described by this `ValueMember` object.
        `__id` - The repository ID of the `value` member described by this `ValueMember` object;
        `__defined_in` - The repository ID of the `value` in which this member is defined.
        `__version` - The version of the `value` in which this member is defined.
        `__type` - The type of of this `value` member.
        `__type_def` - The typedef that represents the IDL type of the `value` member described by this `ValueMember` object.
        `__access` - The type of access (public, private) for the `value` member described by this `ValueMember` object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.